// Setting.cpp : implementation file
//

#include "stdafx.h"
#include "ChatServer.h"
#include "Setting.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetting dialog


CSetting::CSetting(CWnd* pParent /*=NULL*/)
	: CDialog(CSetting::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetting)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	port = 10000;
	IP = "140.112.18.197";
}


void CSetting::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetting)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_HOSTIP, IP);
	DDX_Text(pDX, IDC_HOSTPORT , port);
}


BEGIN_MESSAGE_MAP(CSetting, CDialog)
	//{{AFX_MSG_MAP(CSetting)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetting message handlers


void CSetting::SetBitmap(UINT ResID, int Type) 
{ 
	mBitmap.DeleteObject();
	mBitmap.LoadBitmap(ResID);
	mType=Type;

}

void CSetting::setparant(CChatServerDlg *tt)
{
	m_pdlg = tt;
}
